###############################################################################
#
# ڡ˺Thumbnailåեåץ饰
#
###############################################################################
package plugin::thumbnail::Delete;
use strict;
use Util;
#==============================================================================
# 󥹥ȥ饯
#==============================================================================
sub new {
	my $class = shift;
	my $self = {};
	return bless $self,$class;
}

#==============================================================================
# եå᥽å
#==============================================================================
sub hook {
	my $self = shift;
	my $wiki = shift;
	my $page = $wiki->get_CGI->param('page');
	
	delete_of_page($wiki, $page);
}

sub delete_of_page {
	my $wiki = shift;
	my $encode_page = Util::url_encode(shift);
	my $dir = $wiki->config('thumbnail_dir');
	Util::debug("do plugin::thumbnail::Delete::delete_of_page: $encode_page");
	opendir(DIR, $dir) or die $!;
	while(my $entry = readdir(DIR)){
		if(index($entry, "$encode_page.") == 0){
			unlink("$dir/$entry");
		}
	}
	closedir(DIR);
}

sub delete_of_file {
	my $wiki = shift;
	my $encode_page = Util::url_encode(shift);
	my $encode_file = Util::url_encode(shift);
	my $dir = $wiki->config('thumbnail_dir');
	Util::debug("do plugin::thumbnail::Delete::delete_of_file: $encode_file");
	opendir(DIR, $dir) or die $!;
	while(my $entry = readdir(DIR)){
		if(index($entry, "$encode_page.$encode_file") == 0){
			unlink("$dir/$entry");
		}
	}
	closedir(DIR);
}

sub delete_of_size {
	my $wiki = shift;
	my $size = shift;
	my $dir = $wiki->config('thumbnail_dir');
	Util::debug("do plugin::thumbnail::Delete::delete_of_size: $size");
	opendir(DIR, $dir) or die $!;
	while(my $entry = readdir(DIR)){
		if($entry =~ /\.$size$/){
			unlink("$dir/$entry");
		}
	}
	closedir(DIR);
}

1;
